<template>
  <div class="todo-list">
    <item-header/>
    <todo-item
      v-for="(item, index) in getTodos"
      :key="item.id"
      :index="index"
      :item="item"
      @on-delete="deleteTodo"
    />
  </div>
</template>

<script>
import todoItem from './todo-item'
import itemHeader from './item-header'

export default {
  name: 'todo-list',
  components: {
    todoItem,
    itemHeader
  },
  data: () => {
    return {
      itemsTitle: {id: 'No.', todo: 'Activities', endDate: 'Date', done: 'Status'}
    }
  },
  methods: {
    deleteTodo (index) {
      this.$store.commit('deleteTodo', index)
    }
  },
  computed: {
    getTodos () {
      return this.$store.getters.getTodos
    }
  }
}
</script>

<style scoped>
.todo-list {
  display: flex;
  flex-direction: column;
  color: #D28700FF;
}
</style>
